/*
	File:		MoreNavigation.h

	Contains:	Basic Navigation services utilities functionality.

	Written by:	Quinn

	Copyright:	Copyright  2000 by Apple Computer, Inc., all rights reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):

         <1>     20/3/00    Quinn   First checked in.
*/

#pragma once

/////////////////////////////////////////////////////////////////

// MoreIsBetter Setup

#include "MoreSetup.h"

// Mac OS Interfaces

#include <Files.h>
#include <Navigation.h>

/////////////////////////////////////////////////////////////////

#ifdef __cplusplus
extern "C" {
#endif

extern pascal OSStatus MoreNavExtractSingleReply(const NavReplyRecord *reply, FSSpec *target);
	// This routine extracts a single FSSpec from the selection
	// in the reply record.  It also normalises that FSSpec
	// to avoid Nav's broken name is empty FSSpec's.  This
	// is boilerplate code required by all Nav clients that use
	// the save dialog.

#ifdef __cplusplus
};
#endif
